Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1244848

Description of problem:

capsule-certs-generate currently generates certs and helper steps to setup capsule-installer.

This could be automated a bit more.

The request here is to establish ssh passwordless configuraiton to the capsule.

Once that is done the steps can be further automated.

first any capsule pre-requisites should be validated

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#idp12547336yum

see section

6.2. Red Hat Satellite Capsule Server Prerequisites

e.g.

1. Ensure that the capsule-installer package is installed on the system.

  2. Copy sun-x4-2l-1-certs.tar to the system sun-x4-2l-1.gsslab.rdu2.redhat.com

 Once ssh password is configured these two steps above can be automated

Also this can be automated.

rpm -Uvh http://cragsat61.usersys.redhat.com/pub/katello-ca-consumer-latest.noarch.rpm

Next part needs to query user on which [Organization/Environment]s they want to register to

1. acme_org/dev_app1

2. acme_org/dev_app2

Assumming a capsule can hook up to more than one organization/environment.

Next the the user needs to be queried on which type of capsule to install.

see section 6.4.1, 6.4.2, 6.4.

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#idp12547336yum

This should supply a validated capsule-installer command that can be auto run against the capsule server now that we have supplied

passwordless access.
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

History

#1 - 10/26/2016 02:28 PM - Justin Sherrill

- Subject changed from capsule-certs-generate should make it easier to setup capsule via automation

 to capsule-certs-generate should make it easier to setup capsule via automation

- translation missing: en.field_release set to 114

#2 - 06/14/2018 06:15 PM - Bryan Kearney

- Status changed from New to Rejected

#3 - 06/17/2020 06:02 PM - Jonathon Turel

- Target version changed from Katello Backlog to Katello Recycle Bin
